=== debian/changelog ===
mapnik (2.0.0+ds1-3build1) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 16:10:25 +0000

mapnik (2.0.0+ds1-3) unstable; urgency=low

  * Fix wrong linkage against boost_python-py2*

 -- David Paleino <dapal@debian.org>  Tue, 25 Oct 2011 22:20:35 +0200

mapnik (2.0.0+ds1-2) unstable; urgency=low

  * 03-fix_big-endian.patch added: the variable for big-endian
    architectures was wrongly named (Closes: #644704)

 -- David Paleino <dapal@debian.org>  Sat, 08 Oct 2011 22:14:59 +0200

mapnik (2.0.0+ds1-1) unstable; urgency=low

  * New upstream version
  * Debhelper compatibility bumped to 8
  * New input plugins compiled: geos, rasterlite
  * Package switch from pysupport to dh_python2
  * Package renamed from libmapnik0.7 to libmapnik2-2.0
  * Purge debian/copyright from non-(anymore)-existing files

 -- David Paleino <dapal@debian.org>  Wed, 05 Oct 2011 13:02:49 +0200
