=== debian/control ===
Source: mapnik
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
 , David Paleino <dapal@debian.org>
 , Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends:
 scons
 , debhelper (>= 8~)
 , libtool
 , python-all-dev (>= 2.6.6-3~)
 , libboost-thread-dev
 , libboost-filesystem-dev
 , libboost-regex-dev
 , libboost-python-dev
 , libboost-system-dev
 , libboost-program-options-dev
 , libpng12-dev
 , libjpeg-dev
 , libtiff4-dev
 , zlib1g-dev
 , libfreetype6-dev
 , libpq-dev
 , libproj-dev
 , libltdl-dev
 , libgdal1-dev
 , libxml2-dev
 , libicu-dev
 , libcairo2-dev
 , libcairomm-1.0-dev
 , python-cairo-dev
 , libsqlite3-dev
 , libcurl4-gnutls-dev
 , python-epydoc
 , librasterlite-dev (>= 1.1~)
 , libgeos-dev
 , pkg-config
Standards-Version: 3.9.2
Section: libs
X-Python-Version: >= 2.5
Homepage: http://www.mapnik.org/
Vcs-Git: git://git.debian.org/pkg-grass/mapnik.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/mapnik.git

Package: libmapnik2-2.0
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , ttf-dejavu
Suggests: postgis
Description: C++/Python toolkit for developing GIS applications (libraries)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains the shared library and input plugins.

Package: libmapnik-dev
Section: oldlibs
Architecture: all
Depends:
 libmapnik2-dev
 , ${misc:Depends}
Description: C++/Python toolkit for developing GIS applications (dummy)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package is a transitional package, and can be safely removed if
 nobody depends on it.

Package: libmapnik2-dev
Section: libdevel
Architecture: any
Breaks: libmapnik-dev (<< 2.0.0+ds1-1~)
Replaces: libmapnik-dev (<< 2.0.0+ds1-1~)
Depends:
 ${misc:Depends}
 , libmapnik2-2.0 (= ${binary:Version})
 , libc6-dev | libc-dev
 , libboost-thread-dev
 , libboost-filesystem-dev
 , libboost-regex-dev
 , libboost-python-dev
 , libboost-system-dev
 , libboost-iostreams-dev
 , libpng12-dev
 , libjpeg-dev
 , libtiff4-dev
 , zlib1g-dev
 , libfreetype6-dev
 , libpq-dev
 , libproj-dev
 , libltdl-dev
 , libfribidi-dev
 , libgdal1-dev
 , libxml2-dev
 , libagg-dev
 , libicu-dev
 , libcairo2-dev
 , libcairomm-1.0-dev
 , python-cairo-dev
 , libsqlite3-dev
 , libcurl4-gnutls-dev
 , libsigc++-2.0-dev
Recommends: mapnik-doc
Description: C++/Python toolkit for developing GIS applications (devel)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains the development headers, API documentation, and
 build utilities.

Package: mapnik-utils
Section: utils
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , ${python:Depends}
 , python-mapnik2
 , python-lxml
Description: C++/Python toolkit for developing GIS applications (utilities)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains miscellaneous utilities distributed with mapnik:
 .
 shapeindex: program to creates file system based index for ESRI shape-files

Package: python-mapnik2
Section: python
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , ${python:Depends}
 , python-cairo
Provides: ${python:Provides}
Description: C++/Python toolkit for developing GIS applications (Python)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains the Python bindings.

Package: mapnik-doc
Section: doc
Architecture: all
Recommends: libmapnik2-dev
Depends: ${misc:Depends}
Description: C++/Python toolkit for developing GIS applications (doc)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains developer documentation.
