## mapnik 2.2.0%2Bds1

=== debian/changelog ===
mapnik (2.2.0+ds1-7~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Pierre Rudloff <contact@rudloff.pro>  Fri, 09 May 2014 00:12:38 +0200

mapnik (2.2.0+ds1-7) unstable; urgency=medium

  * Standards-Version 3.9.5
  * Set priority of python-mapnik2, libmapnik2-dev to oldlibs/extra.
  * Add 1002 upstream patch to reduce memory usage during compilation
    using BOOST_SPIRIT_NO_PREDEFINED_TERMINALS (#742149).
  * Disable debugging symbols to save memory during compilation.
    This and the previous change should be enough to close: #742149.
  * Build multiple python versions using scons properly, so that scons
    doesn't build everything twice.
  * Copyright:
    + use Files-Excluded, now repackaging is done by uscan
    + add section for debian/rules technique taken from fife package
  * Watch github directly, no need for githubredir.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 06 Apr 2014 15:35:41 +0200

mapnik (2.2.0+ds1-6) unstable; urgency=medium

  * Team upload.
  * Changed libgdal1-dev in libgdal-dev.
  * Priority set to optional for all packages.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 11 Dec 2013 18:12:19 +0100

mapnik (2.2.0+ds1-5) unstable; urgency=low

  * Set gcc optimization flag to -O2 instead of -O3.
  * Add 2001 patch to remove gcc -ftemplate-depth-300 flag.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 12 Oct 2013 16:24:50 +0200

mapnik (2.2.0+ds1-4) unstable; urgency=low

  * Disable completely parallel builds. It might be responsible
    for memory exhaustion on s390, mipsel, mips.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 03 Oct 2013 14:24:42 +0200

mapnik (2.2.0+ds1-3) unstable; urgency=low

  * Honour DEB_BUILD_OPTIONS parallel, defaults to 1.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 02 Oct 2013 21:55:37 +0200

mapnik (2.2.0+ds1-2) unstable; urgency=low

  * Build documentation in -indep target. (Closes: #721579)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 08 Sep 2013 13:34:41 +0200

mapnik (2.2.0+ds1-1) unstable; urgency=low

  [ Andrew Harvey ]
  * Change debian/rules to use top level font directory (Closes: #665798)

  [ David Paleino ]
  * New upstream version 2.1
    - fixed compatibility with PostGIS 2.0 (AsBinary() → ST_AsBinary())
      (Closes: #699079)
  * Switch debian/watch to github tags
  * debian/patches/:
    - 02-fix_FTBFS_binutils-gold.patch refreshed
    - 03-fix_ImportError_mips.patc, 03-fix_big-endian.patch and
      04-port_to_new_boost.patch removed
  * Python bindings testsuite temporarily disabled
  * Adapt debian/rules get-orig-source target to new upstream layout
  * Build-Depends on libpng-dev instead of libpng12-dev (Closes: #662425)
  * Bump debhelper compatibility to 9
  * Bump Standards-Version to 3.9.4, no changes needed

  [ Jérémy Lal ]
  * New upstream version 2.2
  * control:
    + Transition libmapnik2 to libmapnik (#674587)
    + Transition python-mapnik2 to python-mapnik
    + Canonicalize Vcs fields
  * copyright:
    + entire tarball review
    + switch to copyright 1.0 format
    + DFSG-exclude tests/data/fonts/XB\ Zar.ttf (missing license)
    + conveniently exclude scons, fonts, and some test files for the
      sake of copyright simplification.
  * rules:
    + update input plugins list, remove geos, kismet and add csv,
      geojson, python.
    + disable building demo
    + remove unneeded workarounds in some targets
    + call epydoc directly instead of fiddling with build script
    + pass hardening build flags to mapnik SConstruct,
      thanks to YunQiang Su.
  * patch: 1001 patch to link mapnik lib to dl.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 27 Aug 2013 10:16:08 +0200
