=== debian/control ===
--- 
+++ 
@@ -4,45 +4,43 @@
 Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
  , David Paleino <dapal@debian.org>
  , Francesco Paolo Lovergine <frankie@debian.org>
+ , Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  scons
- , debhelper (>= 8~)
+ , debhelper (>= 9~)
  , libtool
  , python-all-dev (>= 2.6.6-3~)
+ , libboost-filesystem-dev
+ , libboost-system-dev
  , libboost-thread-dev
- , libboost-filesystem-dev
  , libboost-regex-dev
- , libboost-python-dev
- , libboost-system-dev
  , libboost-program-options-dev
- , libpng12-dev
+ , libicu-dev
+ , libpng-dev
  , libjpeg-dev
- , libtiff4-dev
+ , libtiff-dev
  , zlib1g-dev
  , libfreetype6-dev
+ , libxml2-dev
+ , libproj-dev
+ , libboost-python-dev
+ , libcairo2-dev
+ , pkg-config
+ , python-cairo-dev
  , libpq-dev
- , libproj-dev
- , libltdl-dev
- , libgdal1-dev
- , libxml2-dev
- , libicu-dev
- , libcairo2-dev
- , libcairomm-1.0-dev
- , python-cairo-dev
+ , libgdal-dev
  , libsqlite3-dev
  , libcurl4-gnutls-dev
+ , librasterlite-dev
  , python-epydoc
- , librasterlite-dev (>= 1.1~)
- , libgeos-dev
- , pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Section: libs
 X-Python-Version: >= 2.5
 Homepage: http://www.mapnik.org/
-Vcs-Git: git://git.debian.org/pkg-grass/mapnik.git
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/mapnik.git
-
-Package: libmapnik2-2.0
+Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapnik.git
+
+Package: libmapnik2.2
 Architecture: any
 Depends:
  ${shlibs:Depends}
@@ -64,11 +62,12 @@
  .
  This package contains the shared library and input plugins.
 
-Package: libmapnik-dev
+Package: libmapnik2-dev
+Priority: extra
 Section: oldlibs
 Architecture: all
 Depends:
- libmapnik2-dev
+ libmapnik-dev
  , ${misc:Depends}
 Description: C++/Python toolkit for developing GIS applications (dummy)
  Mapnik is an OpenSource C++/Python toolkit for developing GIS
@@ -86,40 +85,37 @@
  This package is a transitional package, and can be safely removed if
  nobody depends on it.
 
-Package: libmapnik2-dev
+Package: libmapnik-dev
 Section: libdevel
 Architecture: any
-Breaks: libmapnik-dev (<< 2.0.0+ds1-1~)
-Replaces: libmapnik-dev (<< 2.0.0+ds1-1~)
+Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
+Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Depends:
  ${misc:Depends}
- , libmapnik2-2.0 (= ${binary:Version})
+ , libmapnik2.2 (= ${binary:Version})
  , libc6-dev | libc-dev
+ , libboost-filesystem-dev
+ , libboost-system-dev
  , libboost-thread-dev
- , libboost-filesystem-dev
  , libboost-regex-dev
- , libboost-python-dev
- , libboost-system-dev
- , libboost-iostreams-dev
- , libpng12-dev
+ , libboost-program-options-dev
+ , libicu-dev
+ , libpng-dev
  , libjpeg-dev
- , libtiff4-dev
+ , libtiff-dev
  , zlib1g-dev
  , libfreetype6-dev
+ , libxml2-dev
+ , libproj-dev
+ , libboost-python-dev
+ , libcairo2-dev
+ , pkg-config
+ , python-cairo-dev
  , libpq-dev
- , libproj-dev
- , libltdl-dev
- , libfribidi-dev
  , libgdal1-dev
- , libxml2-dev
- , libagg-dev
- , libicu-dev
- , libcairo2-dev
- , libcairomm-1.0-dev
- , python-cairo-dev
  , libsqlite3-dev
  , libcurl4-gnutls-dev
- , libsigc++-2.0-dev
+ , librasterlite-dev
 Recommends: mapnik-doc
 Description: C++/Python toolkit for developing GIS applications (devel)
  Mapnik is an OpenSource C++/Python toolkit for developing GIS
@@ -144,7 +140,7 @@
  ${shlibs:Depends}
  , ${misc:Depends}
  , ${python:Depends}
- , python-mapnik2
+ , python-mapnik
  , python-lxml
 Description: C++/Python toolkit for developing GIS applications (utilities)
  Mapnik is an OpenSource C++/Python toolkit for developing GIS
@@ -163,7 +159,7 @@
  .
  shapeindex: program to creates file system based index for ESRI shape-files
 
-Package: python-mapnik2
+Package: python-mapnik
 Section: python
 Architecture: any
 Depends:
@@ -171,6 +167,8 @@
  , ${misc:Depends}
  , ${python:Depends}
  , python-cairo
+Breaks: python-mapnik2 (<< 2.2.0+ds1-1~)
+Replaces: python-mapnik2 (<< 2.2.0+ds1-1~)
 Provides: ${python:Provides}
 Description: C++/Python toolkit for developing GIS applications (Python)
  Mapnik is an OpenSource C++/Python toolkit for developing GIS
@@ -186,11 +184,34 @@
  development, targeting zope3, django, etc.
  .
  This package contains the Python bindings.
+
+Package: python-mapnik2
+Priority: extra
+Section: oldlibs
+Architecture: all
+Depends:
+ ${misc:Depends}
+ , python-mapnik
+Description: C++/Python toolkit for developing GIS applications (dummy)
+ Mapnik is an OpenSource C++/Python toolkit for developing GIS
+ (Geographic Information Systems) applications. At the core is a C++
+ shared library providing algorithms/patterns for spatial data access and
+ visualization.
+ .
+ Essentially a collection of geographic objects (map, layer, datasource,
+ feature, geometry), the library doesn't rely on "windowing systems" and
+ is intended to work in multi-threaded environments
+ .
+ High-level Python bindings (boost.python) facilitate rapid application
+ development, targeting zope3, django, etc.
+ .
+ This package is a transitional package, and can be safely removed if
+ nobody depends on it.
 
 Package: mapnik-doc
 Section: doc
 Architecture: all
-Recommends: libmapnik2-dev
+Recommends: libmapnik-dev
 Depends: ${misc:Depends}
 Description: C++/Python toolkit for developing GIS applications (doc)
  Mapnik is an OpenSource C++/Python toolkit for developing GIS
